Bug 70068 - Setting security preferences for Mozilla consumes 100% system resources
Setting security preferences for Mozilla consumes 100% system resources
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-29 18:28 EDT by reeftiger
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 12:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description reeftiger 2002-07-29 18:28:22 EDT
Description of Problem:
Mozilla consumes all system resources (CPU cycles, RAM and swap space) when
setting "Privacy and Security > Validation" preferences, then is killed by
kernel.

Version-Release number of selected component (if applicable):
Raw Hide mozilla 1.0.1-9
Red Hat 7.3 clean install w/ all 7.3 errata upgrades for installed packages.
i686 coppermine 1 GHz
512MB RAM
1024MB swap


How Reproducible:
always

Steps to Reproduce:
1. Open Mozilla logged from any non-root account
2. Open preferences
3. Select "Privacy & Security" > "Validation" from category menu.

Actual Results:
Machine will lockup for as long as it takes (2-4 minutes) for all RAM and swap
space to be consumed by Mozilla with all CPU cycles also consumed. Followed by
the following (or similar) message sent to /var/log/meassages:
-----------
Jul 28 15:33:39 localhost kernel: Out of Memory: Killed process 4559
(mozilla-bin).
Jul 28 15:33:40 localhost kernel: Out of Memory: Killed process 4565
(mozilla-bin).
Jul 28 15:33:40 localhost kernel: Out of Memory: Killed process 4566
(mozilla-bin).
Jul 28 15:33:40 localhost kernel: Out of Memory: Killed process 4567
(mozilla-bin).
Jul 28 15:33:40 localhost kernel: Out of Memory: Killed process 45
-----------



Expected Results:
Configure security settings.

Additional Information:
I have unistalled all Mozilla packages, reinstalled them, run it the first time
as root (per former version workaround) and still get the same results.	
There is no core dump file or debugging info available (making it a great way to
clear RAM and swap of sensitive data ;p ).
Comment 1 Christopher Blizzard 2002-07-30 13:57:33 EDT
Has anyone actually reproduced this on the beta?
Comment 2 Christopher Blizzard 2002-08-21 12:54:09 EDT
I can't reproduce this.
Comment 3 reeftiger 2002-08-31 06:22:53 EDT
It crashes for me everytime. And I have since come to realize the it will do the
same thing anytime that it loads a secure https://* page, such as
https://listman.redhat.com/pipermail/valhalla-list/ 
Generally it will load the page and then crash, but sometimes it will make it
only half way through loading before it goes nuts.

Mozilla has no problems at all when run as root, but run as any other user it
goes down. And if mozilla is being run on a second X session (:1) on the same
box (I ran one session as root and the other from a regular user account) it
brought the box to it's knees for almost 10 minutes and killing mozilla on both
servers. Go figure.......

If you want to give me a clue as to how I might debug it I would be happy to
give it a try. Maybe it doesn't matter since I seem to be the only one that is
having this particular problem.
Comment 4 Christopher Blizzard 2002-08-31 20:22:28 EDT
What happens if you create a new profile and use it? (use mozilla -ProfileManager)
Comment 5 reeftiger 2002-09-02 03:17:43 EDT
I deleted every config and pref file that I could find and reinstalled and now
it "worksforme".

I miss not being able to flush memory already.....*LOL*

Thanks.

Note You need to log in before you can comment on or make changes to this bug.